#include "stm32f10x.h"
#include "leds.h"


void ledsInit(void)
{
	GPIO_InitTypeDef  GPIO_InitStructure;
	
	GPIO_InitStructure.GPIO_Pin = GPIO_Pin_3 | GPIO_Pin_4;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_Out_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;
	GPIO_Init(GPIOB, &GPIO_InitStructure);
	
	GPIO_PinRemapConfig(GPIO_Remap_SWJ_JTAGDisable,ENABLE);
}

void led1(int on)
{
	if(on) GPIOB->BSRR = GPIO_Pin_4; else GPIOB->BRR = GPIO_Pin_4;
}

void led2(int on)
{
	if(on) GPIOB->BSRR = GPIO_Pin_3; else GPIOB->BRR = GPIO_Pin_3;
}

